import api.code.example.*;
import java.io.BufferedReader;
import java.io.File;
import java.io.FilenameFilter;
import java.io.FileReader;
import java.io.IOException;
import java.util.ArrayList;
import java.io.IOException;
import java.net.URI;
import java.net.URISyntaxException;
import java.util.ArrayList;
import java.util.List;
import java.util.concurrent.TimeUnit;
import org.json.JSONException;
import org.json.JSONObject;

public class testDocLists {

	public static String[] readLines(String filename){
	 ArrayList<String> Texte = new ArrayList();
		
		 try {
            String zeile;  
            File eingabeDatei = new File(filename);
            FileReader eingabeStrom = new FileReader(eingabeDatei);
            BufferedReader eingabe = new BufferedReader(eingabeStrom);
           
            while ((zeile = eingabe.readLine()) != null) { 
            	if(!zeile.startsWith("//"))
            		Texte.add(zeile.trim());
                            
               }
            
     	     }
          catch (IOException e) {
                 e.printStackTrace();
                  
                } 
          
          return (String[]) Texte.toArray(new String[Texte.size()]);
    }

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) throws IOException, URISyntaxException, JSONException {
		
		System.out.println("PlagScan Test Document Lister, Copyright PlagScan.com 2019");
		System.out.println("Provided without warranty of any kind, to the maximum extent allowed by local law.");
		String[] config = readLines("configuration.ini");
		GetAccessToken.client_id = config[0];
		if(GetAccessToken.client_id.equals("12345"))
			System.err.println("ERROR Seems like you did not change the default values in configuration.ini ?");
		GetAccessToken.client_secret = config[1];
		String token=GetAccessToken.extractToken(GetAccessToken.request());

		System.out.println("Your organisation repository documents");
		String json = ListDocuments.listOrgaRepository(token);			
		System.out.println(json);
		
		System.out.println("Your user's repository documents");
		json = ListDocuments.listUserDocsInRepository(18348340,token);			
		System.out.println(json);		

		System.out.println("Your user's documents");
		json = ListDocuments.listUserDocs(18348340,null,token);			
		System.out.println(json);		

    }
    
}
